Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025041
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2013-10-29 13:062013-10-30 20:47
ReportermarvintmView Statuspublic 
Assigned Tomarvintm 
PriorityhighResolutionfixedFixed in Version3.0MP29
StatusclosedFix in branchFixed in SCM revision67e80e28874b
ProjectionnoneETAnoneTarget Version3.0MP29
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2013-07-10
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/7d6d644b9b9e3b9ca55c7be357af7bb86a257263 [^]
Triggers an Emergency PackNo
Summary

0025041: Problem when filtering by a computed column with list reference

DescriptionCurrently there is a problem when trying to filter in the grid by a computed column which has a list reference.

The generated HQL query doesn't include the "_computedColumns" property, and therefore it fails.
Steps To Reproduce- Define a computed column with list reference
- Add a field for this column in a window
- Go to this window, and try to filter by one of the values of the list. Click on reload to force a datasource request. Notice that it fails.
Proposed SolutionA change will be done in the AdvancedQueryBuilder so that it takes into account if the property is computed column, to create the query correctly.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 0024966 closedAugustoMauch If you set a sumary function on the grid for a computed column it fails 
related to defect 00252483.0MP31 closedalostale Error after sorting by a computed column 

-  Notes
(0061936)
hgbot (developer)
2013-10-29 13:12

Repository: erp/devel/pi
Changeset: 67e80e28874b0d93cd69094cec39febc89a03b11
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Oct 29 13:12:22 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/67e80e28874b0d93cd69094cec39febc89a03b11 [^]

Fixed issue 25041. Computed columns with list references will now work correctly when the user filters by them in the grid.

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
---
(0061938)
AugustoMauch (developer)
2013-10-29 13:17

Code reviewed and verified in pi@67e80e28874b
(0061982)
hudsonbot (developer)
2013-10-30 20:47

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/80f375c041fe [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-10-29 13:06 marvintm New Issue
2013-10-29 13:06 marvintm Assigned To => marvintm
2013-10-29 13:06 marvintm Modules => Core
2013-10-29 13:06 marvintm Triggers an Emergency Pack => No
2013-10-29 13:10 marvintm Review Assigned To => AugustoMauch
2013-10-29 13:10 marvintm Regression level => Production - Confirmed Stable
2013-10-29 13:10 marvintm Regression date => 2013-07-10
2013-10-29 13:10 marvintm Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/7d6d644b9b9e3b9ca55c7be357af7bb86a257263 [^]
2013-10-29 13:12 hgbot Checkin
2013-10-29 13:12 hgbot Note Added: 0061936
2013-10-29 13:12 hgbot Status new => resolved
2013-10-29 13:12 hgbot Resolution open => fixed
2013-10-29 13:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/67e80e28874b0d93cd69094cec39febc89a03b11 [^]
2013-10-29 13:17 AugustoMauch Note Added: 0061938
2013-10-29 13:17 AugustoMauch Status resolved => closed
2013-10-29 13:17 AugustoMauch Fixed in Version => 3.0MP29
2013-10-29 23:39 AugustoMauch Relationship added has duplicate 0024966
2013-10-30 20:47 hudsonbot Checkin
2013-10-30 20:47 hudsonbot Note Added: 0061982
2013-12-19 16:56 alostale Relationship added related to 0025248


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker